Instalar controladores para tarjeta gráfica NVIDIA GeForce 8400 GS [Solucionado]

Hola, no he podido instalar los controladores necesarios para hacer funcionar la tarjeta gráfica NVIDIA GeForce 8400 GS. Ya probé con los drivers descargados desde www.nvidia.com, fallé porque no pude instalar los headers del kernel. También probé con envy, fallé porque nunca inició, me pedía contraseña de administrador, la escribía y me decía Contraseña incorrecta.

Agradezco me colaboren pronto, muchas gracias.

OSDAKI escribió:

Ya probé con los drivers descargados desde www.nvidia.com, fallé porque no pude instalar los headers del kernel.

¿por qué no puedes instalar los headers?
¿que kernel tienes?

OSDAKI escribió:

También probé con envy,

¿envy?.... ¿usas debian?

OSDAKI escribió:

Agradezco me colaboren pronto

¿como lo agradeces?

.
Más información: http://www.esdebian.org/wiki/drivers-nvidia-usando-module-assistant

Tengo la versión de kernel 2.6.26-2-amd64. No puedo instalar los headers porque dice que no puede hallar http://security.debian.org/ y otras direcciones URL, en unos minutos publico el log.

Sí, probé con envy y uso Debian, me dijeron que probara instalar el deb para ubuntu en Debian.

Lo agradezco diciendo gracias jajajajaja es una forma de decir :P

OSDAKI escribió:

Tengo la versión de kernel 2.6.26-2-amd64. No puedo instalar los headers porque dice que no puede hallar http://security.debian.org/ y otras direcciones URL, en unos minutos publico el log.

Vas a necesitarlos y están disponibles: http://packages.debian.org/search?keywords=linux-headers-2.6.26-2-amd64&...

¿cual es el contenido de tu /etc/sources.list?

OSDAKI escribió:

Sí, probé con envy y uso Debian, me dijeron que probara instalar el deb para ubuntu en Debian.

Gráficas NVIDIA en Debian

Ya instalé los headers.

Contenido de sources.list:

#
# deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-1 20090413-03:25]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-1 20090413-03:25]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-2 20090413-03:25]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-3 20090413-03:25]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-4 20090413-03:25]/ lenny contrib main

deb cdrom:[Debian GNU/Linux 5.0.1 _Lenny_ - Official amd64 DVD Binary-5 20090413-03:25]/ lenny contrib main

deb http://security.debian.org/ lenny/updates main contrib
deb-src http://security.debian.org/ lenny/updates main contrib

deb http://volatile.debian.org/debian-volatile lenny/volatile main contrib
deb-src http://volatile.debian.org/debian-volatile lenny/volatile main contrib

Si ya tienes los headers, con module-asistant debes poder instalarlo sin problemas.

Si da error al compilarlo, péganos la salida.

drivers nvidia usando module-assistant

Soy totalmente novato en Debian, quisiera saber cómo activar la sección non-free en los repositorios para así poder instalar los controladores mediante module-assistant. Creo que hay que agregar algo al archivo sources.list, pero no sé exactamente qué. Agradezco una respuesta.

http://www.esdebian.org/wiki/introduccion-repositorios-debian

Ahí tienes un pequeño resumen, aunque lo ideal es que empieces a leer la documentación oficial (guía de referencia de Debian), que para algo está.

PD. Tengo esa placa y no da grandes problemas.

Instalé los controladores según el método module-assistant. Ningún error ni problema ni nada, incluso agregé la línea Driver "nvidia" al xorg.conf. Reinicié y ahora me abrió a una resolución de 640x480 y no puedo seleccionar otra.

yo suelo utilizar la herramienta nvidia-xconfig para generar el xorg.conf, por supuesto hay que ejecutarla como root

Gracias, usé la misma herramienta y ya me permite seleccionar varias resoluciones y aparece el logo de nvidia antes de solicitar nombre de usuario; así que supongo que ya está instalado correctamente.

Ahora tratando de ejecutar un juego la terminal me da el siguiente error: Initializing OpenGL...
Your system is reporting that direct rendering is not available. Please obtain an updated driver from your video card manufacturer.

¿Qué podrá ser? ¿El driver no fue instalado correctamente? ¿Falta algo por instalar?
Gracias.